namespace Tiobon.Core.Api.Controllers;

/// <summary>
/// Ghrs_LangKey(Controller)
/// </summary>
[Route("api/[controller]")]
[ApiController, GlobalActionFilter]
[Authorize(Permissions.Name), ApiExplorerSettings(GroupName = Grouping.GroupName_Ghrs)]
public class Ghrs_LangKeyController : BaseController<IGhrs_LangKeyServices, Ghrs_LangKey, Ghrs_LangKeyDto, InsertGhrs_LangKeyInput, EditGhrs_LangKeyInput>
{
    public Ghrs_LangKeyController(IGhrs_LangKeyServices service) : base(service)
    {
    }

    /// <summary>
    /// 获取模块信息接口
    /// </summary>
    /// <returns></returns>
    [HttpPost, Route("Generate")]
    public async Task<ServiceResult> GetESSModuleInfoAsync()
    {
        return await _service.Generate();
    }
}